/* // layouts flex  rules---------
// 1 flex
// 2 direction [ row - col - rowr-colr ]
// 3 justify-content  [ fs - fc - fe - sb -sa ]
// 4 align-items [ fs - fc - fe - sb - sa - st ] */

.flex {
  display: flex;
}

.flex-col-fs-st {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: stretch;
}

.flex-col-sb-fc {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}

.flex-row-fc-fc {
  display: flex;
  justify-content: center;
  align-items: center;
}

.flex-col-fs-fc {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
}

.flex-col-fc-fc {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.flex-row-sp-fc {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.flex-row-sb-bl {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
}

.flex-row-sp-fs {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

.flex-row-fe-fs {
  display: flex;
  justify-content: flex-end;
  align-items: flex-start;
}

.flex-row-fe-fe {
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
}

.flex-col-fs-fs {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
}

.flex-row-fs-fs {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
}
